Package org.eclipse.birt.report.model.api.elements.structures

# Class SelectionChoice

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.api.elements.structures.SelectionChoice

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class SelectionChoice extends org.eclipse.birt.report.model.core.Structure
This class is a structure for selection-list in ScalarParameter item.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`label`
The label for the choice.
`static final String`
`LABEL_MEMBER`
Name of the label member.
`static final String`
`LABEL_RESOURCE_KEY_MEMBER`
Name of the resource key for the label member.
`protected String`
`labelResourceKey`
The resource key of the label for the choice.
`static final String`
`STRUCTURE_NAME`
Name of this structure within the meta-data dictionary.
`protected String`
`value`
The value for the choice.
`static final String`
`VALUE_MEMBER`
Name of the value member.

## Constructor Summary

Constructors
Constructor
Description
`SelectionChoice()`
Constructs a default selection list choice.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getIntrinsicProperty(String propName)`
Returns the value of a structure property represented as a member variable.
`String`
`getLabel()`
Returns the label of the choice.
`String`
`getLabelResourceKey()`
Returns the resource key for the label of the choice.
`String`
`getStructName()`
Returns the name of the structure definition.
`String`
`getValue()`
Returns the value of this choice.
`StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`protected void`
`setIntrinsicProperty(String propName, Object value)`
Sets the value of of a structure property represented as a member variable.
`void`
`setLabel(String label)`
Sets the label.
`void`
`setLabelResourceKey(String labelResourceKey)`
Sets the resource key of label.
`void`
`setValue(String value)`
Sets the value.

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VALUE_MEMBER

public static final String VALUE_MEMBER
Name of the value member.

See Also:
  - Constant Field Values

### LABEL_MEMBER

public static final String LABEL_MEMBER
Name of the label member.

See Also:
  - Constant Field Values

### LABEL_RESOURCE_KEY_MEMBER

public static final String LABEL_RESOURCE_KEY_MEMBER
Name of the resource key for the label member.

See Also:
  - Constant Field Values

### STRUCTURE_NAME

public static final String STRUCTURE_NAME
Name of this structure within the meta-data dictionary.

See Also:
  - Constant Field Values

### value

protected String value
The value for the choice.

### label

protected String label
The label for the choice.

### labelResourceKey

protected String labelResourceKey
The resource key of the label for the choice.

## Constructor Details

### SelectionChoice

public SelectionChoice()
Constructs a default selection list choice.

## Method Details

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

protected Object getIntrinsicProperty(String propName)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Returns the value of a structure property represented as a member variable.

Specified by:
  `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - name of the property
Returns:
  the value of the property, or null if the property is not set

### setIntrinsicProperty

protected void setIntrinsicProperty(String propName, Object value)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Sets the value of of a structure property represented as a member variable.

Specified by:
  `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - the name of the property to set
  `value` - the property value

### getValue

public String getValue()
Returns the value of this choice.

Returns:
  the value of this choice

### setValue

public void setValue(String value)
Sets the value.

Parameters:
  `value` - the value to set

### getLabel

public String getLabel()
Returns the label of the choice.

Returns:
  the label of the choice

### setLabel

public void setLabel(String label)
Sets the label.

Parameters:
  `label` - the label to set

### getLabelResourceKey

public String getLabelResourceKey()
Returns the resource key for the label of the choice.

Returns:
  the resource key for the label

### setLabelResourceKey

public void setLabelResourceKey(String labelResourceKey)
Sets the resource key of label.

Parameters:
  `labelResourceKey` - the resource key of label to set

### handle

public StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.